package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 标签管理
 *
 * @author wangyu
 * @version 3.0.0-SNAPSHOT
 * @since 2018/7/2
 */
@Table("label")
public class Label extends Generic {

	@PK(PKStrategy.AUTO)
	private Long id;// ID
	@Column("name")
	private String name;// 标签名称
	@Column("content")
	private String content;// 标签内容
	@Column("category")
	private String category;// 标签类型

	/**
	 *
	 */
	public Label() {
	}

	/**
	 * @param name
	 * @param content
	 * @param category
	 */
	public Label(String name, String content, String category) {
		this.name = name;
		this.content = content;
		this.category = category;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

}
